#!/usr/local/bin/perl
#
# The above is the standard path where Perl is usually located.
# If the script doesn't run.. then lookup where your Perl binary
# is and change the path accordingly. You must change it at line 50 too.
#
# Author: Bibi Ali (bahman@bunyip.com) 
# Bunyip Information Systems Inc.
# Date: Jun 19, 95
#
# Digger.pp is the CGI script that is called by the Search Form 
# diger-white.html. It needs to be created by running this create-digger.pp.
# This script basically figures out where your Perl Library is installed
# in order to run the Perl script with the "socket.ph" Library.
#
# This script needs to read a template file that is included in the
# distribution which is called digger_template. It will produce 
# digger.pp as an output which you could place in the Web cgi-bin directory
# with the other CGI scripts you have.
###########################################################################

unless ( $INC[0] =~ /sys$/ )
{	
	if ( $INC[0] =~ /lib$/)
	{	$INC[0] =~ s/lib$/lib\/sys/g;
	}
}

@INC = $INC[0];

printf "\tThe following path is where the Perl libraries are by default:\n\t @INC\n";

print "\n\tDo you want to enter a new Path according to how Perl 
	was installed on your system? [y/n] ";
$answer = <STDIN>;
if ( $answer =~ /y|Y/ )
{	print "Enter the path for your Perl libraries:";
	$lib_path = <STDIN>;
	chop( $lib_path );
	unless ( $lib_path =~ /sys$/ ) 
	{	($lib_path,$junk) = split(/sys/,$lib_path,2);
	}
	while ( ! (-e $lib_path) )
	{	print "The path you entered is not correct try again.\n";
		print "Enter the path for your Perl libraries:";
		$lib_path = <STDIN>;
		chop( $lib_path );
		unless ( $lib_path =~ /sys$/ ) 
		{	($lib_path,$junk) = split(/sys/,$lib_path,2);
		}
		print " You entered: $lib_path\n";
	}
	@INC = $lib_path;
}

$file0_path = "@INC/sys/socket.ph";
$file1_path = "@INC/bigfloat.pl";
unless ( ( -r $file0_path ) && ( -r $file1_path ))
{	die "\n\tYour Perl Path @INC \n\tdoesn't include sys/socket.ph\n
        or bigfloat.pl.	Terminating the program without creating digger.pp\n";
}

open (IN,"digger_template");
print "\nOpened digger_template\n";
open (OUT,">digger.pp") || die "Can't open digger.pp for output\n";
print "Opened digger.pp as output\n";

##Change this if Perl does not exist in that directory on your system.
##

print OUT "#!/usr/local/bin/perl\n#\n";

print  OUT "\@INC = \"@INC\"\;\n";
print  OUT "require \"sys/socket.ph\"\;\n";
print  OUT "require \"bigfloat.pl\"\;\n";

if ( system("uname -r") =~ /^5\.[1-4]/ )
{	$system = "solaris";
}
else
{	$system = "sunos";
}

print  OUT "\$system = \"$system\"\;\n";

while(<IN>)
{	
	print OUT $_; }

close (IN);
close (OUT);

chmod 0755, "digger.pp";


print "Now we produce the MicroSeconds facility for the perl script:\n";
print "DO you have gcc on you rsystem?[Y/y or N/n]\n";
$ans = <STDIN>;
if ( $ans =~ /^Y/i ) { 
	system("gcc microtime.c -o microtime");
}else {
	system("cc microtime.c -o microtime");
}

chmod 0755, "microtime";

print "\n\t1- Put digger.pp in the cgi-bin directory in your Web tree
	where all the CGI scripts are located.\n";
print "\n\t2- Run update-html.pp to create your .html file.\n";
